#include "leadscheme.h"

LeadScheme::LeadScheme(QWidget * parent ):QWidget (parent)
{
    init();
    connect();
    initLay();

}
LeadScheme::~LeadScheme()
{


}

void LeadScheme::init()
{

}
void LeadScheme::connect()
{
    m_LeadSchemes.setList(QStringList()<<"8通道"<<"16通道"<<"64通道",QStringList()<<""<<""<<"");
    m_listNum.setList(QStringList()<<"0"<<"1"<<"2"<<"3"<<"4"<<"5"<<"6"<<"7"<<"8"<<"9"<<"10"<<"11"<<
                      "12"<<"13"<<"14"<<"15",QStringList()<<"0"<<"1"<<"2"<<"3"<<"4"<<"5"<<"6"<<"7"<<"8"<<"9"<<"10"<<"11"<<
                      "12"<<"13"<<"14"<<"15");
    m_listPoints.setList( QStringList()<<"F1"<<"F2"<<"F3"<<"F4"<<"C3"<<"C4"<<"P3"<<"P4"<<"O1"<<"O2"<<"F7"<<"F8"<<
                          "T3"<<"T4"<<"T5"<<"T6",  QStringList()<<"F1"<<"F2"<<"F3"<<"F4"<<"C3"<<"C4"<<"P3"<<"P4"<<"O1"<<"O2"<<"F7"<<"F8"<<
                         "T3"<<"T4"<<"T5"<<"T6");
    m_listExPoints.setList(QStringList()<<"A1"<<"A2"<<"A1"<<"A1"<<"A2"<<"A1"<<"A2"<<"A1"<<"A2"<<"A1"<<"A2"<<"A1"<<
                           "A1"<<"A2"<<"A1"<<"A2",QStringList()<<"A1"<<"A2"<<"A1"<<"A1"<<"A2"<<"A1"<<"A2"<<"A1"<<"A2"<<"A1"<<"A2"<<"A1"<<
                           "A1"<<"A2"<<"A1"<<"A2");

}
void LeadScheme::initLay()
{

    QLabel * labScheme = new QLabel;
    labScheme->setText("导联方案");
    QVBoxLayout * vlayScheme = new QVBoxLayout;
    vlayScheme->addWidget(labScheme);
    vlayScheme->addWidget(&m_LeadSchemes);

    QLabel * labNum = new QLabel;
    labNum->setText("导联");
    QVBoxLayout * vlayNum = new QVBoxLayout;
    vlayNum->addWidget(labNum);
    vlayNum->addWidget(&m_listNum);


    QLabel * labPoints = new QLabel;
    labPoints->setText("测点");
    QVBoxLayout * vlayPoints = new QVBoxLayout;
    vlayPoints->addWidget(labPoints);
    vlayPoints->addWidget(&m_listPoints);


    QLabel * labExPoints = new QLabel;
    labExPoints->setText("参考点");
    QVBoxLayout * vlayExPoints = new QVBoxLayout;
    vlayExPoints->addWidget(labExPoints);
    vlayExPoints->addWidget(&m_listExPoints);

    QHBoxLayout * hlayWPoints =  new QHBoxLayout;
    QWidget     * wPoints = new QWidget;
    wPoints->setLayout(hlayWPoints);
    hlayWPoints->addLayout(vlayNum);
    hlayWPoints->addLayout(vlayPoints);
    hlayWPoints->addLayout(vlayExPoints);


    QWidget * wClickedPints = new QWidget;

    QHBoxLayout  * hlayAll = new QHBoxLayout;
    hlayAll->addLayout(vlayScheme);
    hlayAll->addWidget(wPoints);
    hlayAll->addWidget(wClickedPints);
    setLayout(hlayAll);
}
