#-------------------------------------------------
#
# Project created by QtCreator 2024-10-24T13:12:15
#
#-------------------------------------------------

QT       += core gui  sql
Profile = Release with debug info

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = xyylMCWEACSystem
TEMPLATE = app
DESTDIR = D:/gitProject/bin
# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11

SOURCES += \
        SqlCore.cpp \
        SqlExecute.cpp \
        SqlGenerate.cpp \
        btngroupwidget.cpp \
        curchatwidget.cpp \
        datamanager.cpp \
        dataprocesswidget.cpp \
        devconwidget.cpp \
        eggwidget.cpp \
        framelesswindow.cpp \
        framewindow.cpp \
        hospitalinfo.cpp \
        leadscheme.cpp \
        loginwidget.cpp \
        main.cpp \
        mainwindow.cpp \
        medicalrecordmanager.cpp \
        medicalrecordwidget.cpp \
        navlistwidget.cpp \
        parametersettingswidget.cpp \
        regwidget.cpp \
        systemsettingwidget.cpp \
        titlewidget.cpp \
        widget.cpp

HEADERS += \
        SqlCore.h \
        SqlExecute.h \
        SqlGenerate.h \
        btngroupwidget.h \
        curchatwidget.h \
        datamanager.h \
        dataprocesswidget.h \
        devconwidget.h \
        eggwidget.h \
        framelesswindow.h \
        framewindow.h \
        hospitalinfo.h \
        leadscheme.h \
        loginwidget.h \
        mainwindow.h \
        medicalrecordmanager.h \
        medicalrecordwidget.h \
        mrmanagement.h \
        navlistwidget.h \
        parametersettingswidget.h \
        regwidget.h \
        systemsettingwidget.h \
        titlewidget.h \
        widget.h

FORMS += \
        widget.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    egg.qrc
